import crypto from 'crypto';

export default (body: {[key: string]: any} | string, signingKey: string) => {
  if (typeof body !== 'string') body = JSON.stringify(body);

  const hmac = crypto.createHmac('sha1', signingKey);

  hmac.update(body)

  return hmac.digest('base64')
}