import { AWS_REGION, lambdaConfig } from '@svc/config';
import TestDataGenerator from '@tests/utils/testDataGenerator';

const testDataGenerator = new TestDataGenerator();

const lambdaFunctionName = `${lambdaConfig.functionNamePrefix}DDBUpdateGAConversion`;

const lambdaLogs = {
  region: AWS_REGION,
  function: lambdaFunctionName,
};

describe('`updateGAConversion` Lambda function', () => {
  const testConversion = testDataGenerator.getGAConversion({fieldsToGenerate: ['conversionValue']});

  it.concurrent('is triggered when a conversion is updated with a new conversionValue', async () => {
    await testConversion.put();
    await testConversion.updateConversionValue(2500);
    const expectedLog = testConversion.gclid;
    await expect({
      ...lambdaLogs,
      timeout: 50000,
    }).toHaveLog(expectedLog);
  });

  afterAll(async () => testDataGenerator.deleteAll());
});