import googleAdsApi from "@svc/lib/googleAdsAPI";
import TestDataGenerator from "@tests/utils/testDataGenerator";

const testDataGenerator = new TestDataGenerator(false)

describe('`googleAdsAPI`', () => {
  const api = googleAdsApi;
  describe('`GoogleAdsAPI#refreshAccessToken', () => {
    it('refreshes the access token', async () => {
      await api.refreshAccessToken()
  
      expect(api.accessToken).toBeTruthy();
    })
  })

  describe('`GoogleAdsAPI#uploadConversion', () => {
    it('sends the conversion to google', async () => {
      const conversion = testDataGenerator.getGAConversion();

      const resp = await api.uploadConversion(conversion);
      
      // corresponds to invalid gclid. Google does not provide test gclids
      expect(resp.data.partialFailureError.code).toBe(3)
    })
  })

  describe('`GoogleAdsAPI#uploadConversionAdjustment', () => {
    it('sends the conversion adjustment to google', async () => {
      const conversion = testDataGenerator.getGAConversion();

      const resp = await api.uploadConversionAdjustment(conversion);

      // corresponds to invalid gclid. Google does not provide test gclids
      expect(resp.data.partialFailureError.code).toBe(3)
    })
  })

  describe('`GoogleAdsAPI#retractConversion', () => {
    it('sends the conversion retraction to google', async () => {
      const conversion = testDataGenerator.getGAConversion();

      const resp = await api.retractConversion(conversion);

      // corresponds to invalid gclid. Google does not provide test gclids
      expect(resp.data.partialFailureError.code).toBe(3)
    })
  })

})