import uuid from '../uuid';

export const isValidUuid = (uuidToValidate: string):boolean => {
  return !(uuidToValidate.substring(0, 4) === 'PDID');
};

export const generateValidatedUuid = () => {
  let newUuid = uuid();
  
  while (!isValidUuid(newUuid)) { // prevent UUID from having PDID identifier
    newUuid = uuid();
  }

  return newUuid;
};

export const convertPipedriveTimeToMS = (time: string) => {
  const isoFormat = time.replace(' ', 'T') + 'Z';
  const date = new Date(isoFormat);
  return date.getTime();
};