import { ChangeSource } from "./common"

export enum ActivityType {
  INCOMING_CALL = 'incoming_call',
  ANSWERED_INCOMING_CALL = 'Answered Incoming Call',
  VOICEMAIL = 'voicemail',
  ANSWERED_OUTGOING_CALL = 'Answered Outgoing Call',
}

export enum MutableActivityProperties {
  callSid = 'callSid',
  body = 'body',
  lastUpdatedField = 'lastUpdatedField',
  isDeleted = 'isDeleted',
  changeSource = 'changeSource',
}

export interface ActivityInterface {
  activityType: ActivityType,
  body?: string,
  callSid?: string,
  projectPdid: string,
  pdid: string,
  changeSource: ChangeSource,
  isTest?: boolean,
  lastUpdatedField?: MutableActivityProperties,
  isDeleted?: boolean
}

export interface LowLevelActivity {
  pk: string,
  sk: string,
  type: "Activity",
  gsi1_pk?: string,
  gsi1_sk?: string,
  changeSource: ChangeSource
  activityType: ActivityType,
  body?: string,
  callSid?: string,
  projectPdid: string,
  pdid: string,
  isTest?: boolean,
  lastUpdatedField?: MutableActivityProperties,
  isDeleted: boolean

}

export interface GenerateTestActivityInput {
  fieldsToGenerate?: string[],
  overrides?: Partial<ActivityInterface>,
  fieldsToExclude?: string[],
}