import { ChangeSource } from "./common"

export interface LowLevelCallRail {
  pk: string,
  sk: string,
  type: 'CallRailGclid',
  gclid: string,
  isAttributed: boolean,
  createdAt: number,
  phoneNumber: string,
  lastUpdatedField?: MutableCallRailProperties,
  changeSource: ChangeSource,
  isTest?: boolean,
}

export enum MutableCallRailProperties {
  isAttributed = 'isAttributed',
}


export interface CallRailInterface {
  gclid: string,
  isAttributed?: boolean,
  createdAt: number,
  phoneNumber: string,
  lastUpdatedField?: MutableCallRailProperties
  changeSource: ChangeSource,
  isTest?: boolean,
}

export interface GenerateTestCallRailInput {
  fieldsToGenerate?: string[],
  overrides?: Partial<CallRailInterface>,
}

export enum CallRailFieldKeys {
  phoneNumber = 'customer_phone_number',
  gclid = 'gclid',
  timestamp = 'start_time'
}

export interface CallRailRequestBody {
  [CallRailFieldKeys.phoneNumber]: string,
  [CallRailFieldKeys.gclid]: string,
  [CallRailFieldKeys.timestamp]: string,
  isTest?: boolean,
}

export interface CallRailRequest {
  body: CallRailRequestBody,
  headers: {
    Signature: string
  }
}