import { ChangeSource } from "./common"

export enum ProjectStatus {
  LOST = 'LOST',
  OPEN = 'OPEN',
  CLOSED = 'CLOSED',
}

export enum ProjectSalesStage {
  UNATTEMPTED = 'UNATTEMPTED',
  ATTEMPTED = 'ATTEMPTED',
  ESTABLISHED_CONTACT = 'ESTABLISHED_CONTACT', 
  ESTIMATED = 'ESTIMATED',
  BOOKED = 'BOOKED',

}

// todo: separate changeSource and lastUpdatedField to meta properties
export enum MutableProjectProperties {
  gclid = 'gclid',
  clientUuid = 'clientUuid',
  isDeleted = 'isDeleted',
  projectStatus = 'projectStatus',
  lastUpdatedField = 'lastUpdatedField',
  gaTransactionID = 'gaTransactionID',
  salesStage = 'salesStage',
  clientCost = 'clientCost',
  changeSource = 'changeSource',
}

export interface LowLevelProjectDetails {
  pk: string,
  sk: 'Details',
  gsi1_pk?: string,
  gsi1_sk?: string,
  gsi2_pk?: string,
  gsi2_sk?: string
  type: 'ProjectDetails',
  isTest?: boolean,
  gclid?: string,
  createdAt: number,
  clientUuid?: string,
  gaTransactionID?: string,
  isDeleted: boolean,
  uuid: string,
  projectStatus: ProjectStatus,
  salesStage: ProjectSalesStage,
  clientCost?: number,
  pdid?: string,
  lastUpdatedField?: MutableProjectProperties,
  changeSource: ChangeSource,
}

export interface ProjectInterface {
  isTest?: boolean,
  gclid?: string,
  createdAt: number,
  clientUuid?: string,
  gaTransactionID?: string,
  isDeleted?: boolean,
  uuid?: string,
  projectStatus: ProjectStatus,
  salesStage: ProjectSalesStage,
  clientCost?: number,
  pdid?: string,
  lastUpdatedField?: MutableProjectProperties,
  changeSource: ChangeSource,
}

export interface GenerateTestProjectInput {
  fieldsToGenerate?: string[],
  overrides?: Partial<ProjectInterface>,
  fieldsToExclude?: string[],
}