import axios, { AxiosResponse } from 'axios';
import stream, { PassThrough } from 'stream';
import { s3Config } from '@svc/config';
import { Upload } from '@aws-sdk/lib-storage'

const axiosInstance = axios.create({
  baseURL: 'https://justcall.io/rec-redirect/'
})

const downloadCallRecordingFromCallSid = async (callSid: string, keyOverride?: string) => {
  const pass = new stream.PassThrough();
  
  const uploadParams = {
    Bucket: s3Config.callRecordingsBucket,
    Key: keyOverride || callSid,
    Body: pass,
    ContentType: 'audio/wav'
  };
  
  const upload = new Upload ({
    client: s3Config.s3Client,
    params: uploadParams
  });
    
    
  const resp = await axiosInstance.get(callSid, {responseType: 'stream'});
  
  resp.data.pipe(pass);

  return upload.done().then((result: any) => {
    return result;
  }).catch((e: any) => {
    throw e;
  });
  
}

export default downloadCallRecordingFromCallSid