import CallTranscript from "./types/CallTranscript"

// export default (transcriptObj: CallTranscript) => {
//   const newTranscript = transcriptObj.Transcript.map(({ParticipantRole, Content, BeginOffsetMillis, EndOffsetMillis, Sentiment}) => {
//     const startTimestamp = msToTimestamp(BeginOffsetMillis)
//     const endTimestamp = msToTimestamp(EndOffsetMillis)
//     return `${startTimestamp}-${endTimestamp} ${ParticipantRole}: ${Content} --- ${ParticipantRole} estimated sentiment: ${Sentiment}`
//   })
//   return newTranscript.join("<br>")
// }

const msToTimestamp = (ms: number) => {
  const seconds = Math.floor(ms / 1000)
  const minutes = Math.floor(seconds / 60)
  const leftoverSeconds = seconds % 60
  return `${minutes}:${leftoverSeconds < 10 ? 0 : ''}${leftoverSeconds}`
}

export default (transcriptObj: CallTranscript) => {
  const newTranscript = transcriptObj.Transcript.map(({ParticipantRole, Content, BeginOffsetMillis, EndOffsetMillis, Sentiment}) => {
    const startTimestamp = msToTimestamp(BeginOffsetMillis)
    const endTimestamp = msToTimestamp(EndOffsetMillis)
    return `${startTimestamp}-${endTimestamp}: ${Content} --- Estimated sentiment: ${Sentiment}`
  })
  return newTranscript.join("<br>")
}