import parseCallSid from "@svc/lib/parseCallSid";

describe('`parseCallSid', () => {
  it('handles the format `Call SId : ${callSid}`', () => {
    const testCallSid = 'CA682654274a646aa286bfb0ff50171842';
    const testBody = `Call SId : ${testCallSid}`;

    const returnedCallSid = parseCallSid(testBody);

    expect(returnedCallSid).toBe(testCallSid)
  })

  it('handles the format `Call Sid: [callSid]', () => {
    const testBody = 'Call Sid: CA682654274a646aa286bfb0ff50171842';
    const testCallSid = 'CA682654274a646aa286bfb0ff50171842';

    const returnedCallSid = parseCallSid(testBody);

    expect(returnedCallSid).toBe(testCallSid)
  })
})