import parseCallTranscript from '@svc/lib/parseCallTranscript';
import TestDataGenerator from '@tests/utils/testDataGenerator';
import * as transcript from "../../sampleData/sampleTranscript.json"

const testDataGenerator = new TestDataGenerator(false);

describe('`parseCallTranscript` helper function', () => {
  it('correctly parses the call transcript', () => {
    const parsed = parseCallTranscript(transcript);
    // expect(parsed).toBe(`0:00-0:30 CUSTOMER: Hi, my name is Doris and I'm calling you from the Barrington area. I'm not sure if it's an area youth service. Um I came across some information that you had in writing about offering complimentary exterior design consultation. And if that's a possibility, my return number is 847 9424485. Again, Doris 847 9424485. Thank you. Yeah. --- CUSTOMER estimated sentiment: NEUTRAL`)
    expect(parsed).toBe(`0:00-0:30: Hi, my name is Doris and I'm calling you from the Barrington area. I'm not sure if it's an area youth service. Um I came across some information that you had in writing about offering complimentary exterior design consultation. And if that's a possibility, my return number is 847 9424485. Again, Doris 847 9424485. Thank you. Yeah. --- Estimated sentiment: NEUTRAL`)
  });
});
